Wed, 30 Sep 2020 15:36:14 UTC | login

Information for build mp-3.1.0-24.20161124git1f39801.el8

ID28341
Package Namemp
Version3.1.0
Release24.20161124git1f39801.el8
Epoch
SummaryAn open-source library for mathematical programming
DescriptionAn open-source library for mathematical programming. Features * Reusable high-performance .nl reader * Efficient type-safe C++ API for connecting solvers to AMPL and other systems: source * Interfaces to solvers supporting AMPL extensions for logic and constraint programming: * IBM ILOG CPLEX and CPLEX CP Optimizer (ilogcp) * Gecode * JaCoP * Interfaces to the following solvers: * LocalSolver * Sulum * Interfaces to other solvers via AMPL Solver Library * Cross-platform build support with CMake and continuous integration systems. This includes third-party solvers and libraries (COIN-OR solvers with CMake support are available in the ampl/coin repository). * AMPLGSL, an AMPL function library providing access to the GNU Scientific Library (GSL) functions. See the AMPLGSL documentation. * Database support on Linux and MacOS X. See Database and spreadsheet connection guide. * SMPSWriter, a converter from deterministic equivalent of a two-stage stochastic programming (SP) problem written in AMPL to an SP problem in SMPS format.
Built byrdobuilder
State complete
Volume DEFAULT
StartedTue, 28 Jan 2020 18:33:32 UTC
CompletedTue, 28 Jan 2020 18:49:17 UTC
Taskbuild (cloud8-openstack-ussuri-el8, mp-3.1.0-24.20161124git1f39801.el8.src.rpm)
Tags
cloud8-openstack-train-release
cloud8-openstack-train-testing
cloud8-openstack-ussuri-release
cloud8-openstack-ussuri-testing
cloud8-openstack-victoria-testing
RPMs
src
mp-3.1.0-24.20161124git1f39801.el8.src.rpm (info) (download)
aarch64
mp-3.1.0-24.20161124git1f39801.el8.aarch64.rpm (info) (download)
mp-devel-3.1.0-24.20161124git1f39801.el8.aarch64.rpm (info) (download)
mp-debuginfo-3.1.0-24.20161124git1f39801.el8.aarch64.rpm (info) (download)
mp-debugsource-3.1.0-24.20161124git1f39801.el8.aarch64.rpm (info) (download)
ppc64le
mp-3.1.0-24.20161124git1f39801.el8.ppc64le.rpm (info) (download)
mp-devel-3.1.0-24.20161124git1f39801.el8.ppc64le.rpm (info) (download)
mp-debuginfo-3.1.0-24.20161124git1f39801.el8.ppc64le.rpm (info) (download)
mp-debugsource-3.1.0-24.20161124git1f39801.el8.ppc64le.rpm (info) (download)
x86_64
mp-3.1.0-24.20161124git1f39801.el8.x86_64.rpm (info) (download)
mp-devel-3.1.0-24.20161124git1f39801.el8.x86_64.rpm (info) (download)
mp-debuginfo-3.1.0-24.20161124git1f39801.el8.x86_64.rpm (info) (download)
mp-debugsource-3.1.0-24.20161124git1f39801.el8.x86_64.rpm (info) (download)
Logs
aarch64
hw_info.log
mock_output.log
build.log
root.log
state.log
x86_64
hw_info.log
mock_output.log
build.log
root.log
state.log
ppc64le
hw_info.log
mock_output.log
build.log
root.log
state.log
Changelog * Tue Aug 20 2019 Susi Lehtola <jussilehtola@fedoraproject.org> - 3.1.0-24.20161124git1f39801 - Rebuilt for GSL 2.6. * Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-23.20161124git1f39801 - Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild * Tue May 07 2019 Antonio Trande <sagitter@fedoraproject.org.com> - 3.1.0-22.20160810git1f39801 - Set _modulesdir macro for rhel * Tue May 07 2019 Antonio Trande <sagitter@fedoraproject.org.com> - 3.1.0-21.20160810git1f39801 - Some improvements * Fri Feb 22 2019 Orion Poplawski <orion@nwra.com> - 3.1.0-20.20161124git1f3980 - Install modulefile in proper location * Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-19.20161124git1f3980 - Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild * Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-18.20161124git1f3980 - Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild * Sun Mar 11 2018 Antonio Trande <sagitter@fedoraproject.org.com> - 3.1.0-17.20160810git1f3980 - Rebuild for Java * Sat Feb 17 2018 Antonio Trande <sagitter@fedoraproject.org> - 3.1.0-16.20161124git1f3980 - Use %ldconfig_scriptlets * Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-15.20161124git1f3980 - Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild * Sun Jan 14 2018 Antonio Trande <sagitter@fedoraproject.org.com> - 3.1.0-14.20160810git1f3980 - Use versioned Python2 packages * Wed Nov 15 2017 Antonio Trande <sagitter@fedoraproject.org.com> - 3.1.0-13.20160810git1f3980 - Enable jacop on f27+ * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-12.20161124git1f3980 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild * Sun Jul 30 2017 Antonio Trande <sagitter@fedoraproject.org.com> - 3.1.0-11.20160810git1f3980 - Disable jacop (bz#1423750) * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-10.20161124git1f3980 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild * Sat Mar 25 2017 Antonio Trande <sagitter@fedoraproject.org.com> - 3.1.0-9.20160810git1f3980 - Gecode support temporarily disabled on fedora (upstream bug#109) * Thu Mar 16 2017 Antonio Trande <sagitter@fedoraproject.org.com> - 3.1.0-8.20160810git1f3980 - Rebuild for gecode-5.0.0 * Sun Feb 26 2017 Antonio Trande <sagitter@fedoraproject.org.com> - 3.1.0-7.20160810git1f3980 - Fix environment-modules required on epel7 - Skip gsl-test always (upstream issue #103) * Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-6.20161124git1f3980 - Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild * Thu Nov 24 2016 Antonio Trande <sagitter@fedoraproject.org.com> - 3.1.0-5.20160810git1f3980 - Skip gsl-test on epel6 (upstream issue #103) * Thu Nov 24 2016 Antonio Trande <sagitter@fedoraproject.org.com> - 3.1.0-4.20160810git1f3980 - Update to commit #1f3980 (fmt updated to 3.0.1) - Patched for PPC64 * Thu Jun 30 2016 Antonio Trande <sagitter@fedoraproject.org.com> - 3.1.0-3 - Fix cmake version for EPEL - libmp installed in a private lib directory on epel6 - Pached to remove gtest - Set to disable tests on EPEL6 * Thu May 05 2016 Dan HorĂ¡k <dan[at]danny.cz> - 3.1.0-2 - fix build on secondary arches (thirdparty/benchmark) (#1333344) - fix JNI detection (#1333344) * Wed Mar 30 2016 Antonio Trande <sagitter@fedoraproject.org.com> - 3.1.0-1 - Update to 3.1.0 * Wed Mar 16 2016 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 3.0.1-0.2 - Avoid incorrect system detection and use of strtod_ASL wrapper - Install extra headers required by coin-or-Couenne * Fri Mar 04 2016 Antonio Trande <sagitter@fedoraproject.org.com> - 3.0.1-0.1 - Update to 3.0.1 prerelease (commit #9fdb514) * Thu Mar 03 2016 Antonio Trande <sagitter@fedoraproject.org.com> - 3.0.0-1 - Update to 3.0.0 * Wed Mar 02 2016 Antonio Trande <sagitter@fedoraproject.org.com> - 2.1.1-0.2 - Built with cmake3 on EPEL * Tue Mar 01 2016 Antonio Trande <sagitter@fedoraproject.org.com> - 2.1.1-0.1 - Update to 2.1.0 - Dropped old patches for 1.3.0 - Jacop support disabled on EPEL - Patched for GCC6 - Patched for GSL-2.1 - fpinit patched for ARM * Mon Feb 22 2016 Orion Poplawski <orion@cora.nwra.com> - 1.3.0-10 - Rebuild for gsl 2.1 * Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-9 - Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild * Wed Jan 06 2016 Orion Poplawski <orion@cora.nwra.com> - 1.3.0-8 - Require environment(modules) * Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-7 - Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild * Sun Jun 14 2015 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.3.0-6 - Rebuild for new gecode. * Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.3.0-5 - Rebuilt for GCC 5 C++11 ABI change * Sun Feb 22 2015 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.3.0-4 - Add recomended extra libs for gsl. * Wed Jan 28 2015 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.3.0-3 - Enable the jacop interface. - Use a better patch for non x86 fpinit (#1186162) - Correct check on bigendian. * Fri Jan 23 2015 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.3.0-2 - Use the license macro for the LICENSE.rst file (#1181793#c3) - environment-modules is a Requires not BuildRequires (#1181793#c3) * Tue Jan 13 2015 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.3.0-1 - Update package to use new 1.3.0 release * Mon Dec 22 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - v20141006-4 - Update to version that works with rawide gecode - Add jacop support, works but disabled, missing from rawhide - Build smpswriter * Fri Dec 19 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - v20141006-3 - Switch to newer git commit as base of package - Add conditional to build gecode - Build documentation * Wed Dec 17 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - v20141006-2 - Use environment-modules to follow upstream conventions. * Sat Dec 13 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - v20141006-1 - Initial mp spec.